LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Gentoo
User Name
Password
Gentoo This forum is for the discussion of Gentoo Linux.

Notices

Reply
 
Search this Thread
Old 08-15-2010, 10:14 PM   #1
fedoralinuxjunkie
Member
 
Registered: Jun 2008
Location: North Carolina
Distribution: Gentoo, Debian 7 RC 1, Mageia 3 RC 1, Kubuntu 13.04, Arch Linux
Posts: 138

Rep: Reputation: 16
system update issue using emerge --deep --update world


hey guys. I'm still a little new to Gentoo, but I've never experienced this problem before. When I run the command

Code:
emerge --update --deep world
I get this output:

Code:
emerge --deep --update world -p

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-apps/usb_modeswitch-1.1.3-r1 [1.0.2]
[ebuild     U ] dev-libs/nss-3.12.6-r1 [3.12.5-r1]
[ebuild     U ] dev-util/desktop-file-utils-0.16 [0.15]
[ebuild     U ] dev-libs/libisofs-0.6.34 [0.6.24]
[ebuild     U ] dev-libs/libburn-0.8.4 [0.7.0] USE="-track-src-odirect%" 
[ebuild     U ] x11-themes/hicolor-icon-theme-0.12 [0.11]
[ebuild     U ] dev-cpp/glibmm-2.24.2 [2.22.1]
[ebuild     U ] dev-libs/json-glib-0.10.2 [0.8.2] USE="(-introspection)" 
[ebuild     U ] dev-libs/gmime-2.4.17 [2.4.9]
[ebuild     U ] sys-power/cpufreqd-2.4.2 [2.3.4-r2]
[ebuild     U ] net-misc/curl-7.20.0-r2 [7.19.6]
[ebuild     U ] app-text/wgetpaste-2.17 [2.14]
[ebuild     U ] dev-perl/XML-Parser-2.36-r1 [2.36]
[ebuild     U ] dev-libs/libtasn1-2.7 [2.4]
[ebuild     U ] dev-perl/HTML-Tagset-3.20 [3.10]
[ebuild  N    ] dev-perl/YAML-Tiny-1.41 
[ebuild     U ] perl-core/ExtUtils-CBuilder-0.27.03 [0.26.03]
[ebuild     U ] dev-perl/XML-NamespaceSupport-1.11 [1.09]
[ebuild     U ] virtual/perl-ExtUtils-CBuilder-0.27.03 [0.26.03]
[ebuild     U ] perl-core/ExtUtils-ParseXS-2.22.05 [2.22.03]
[ebuild     U ] media-libs/libvorbis-1.3.1 [1.2.3] USE="static-libs%*" 
[ebuild     U ] x11-libs/libdrm-2.4.20-r1 [2.4.15]
[ebuild     U ] media-fonts/font-util-1.1.1-r1 [1.1.1]
[ebuild     U ] x11-proto/fixesproto-4.1.1 [4.0]
[ebuild     U ] x11-libs/pixman-0.18.2 [0.17.2] USE="static-libs%*" 
[ebuild     U ] x11-proto/dri2proto-2.3 [2.1]
[ebuild     U ] app-text/djvu-3.5.22-r1 [3.5.21_p20090103] USE="xml*" 
[ebuild     U ] x11-apps/sessreg-1.0.6 [1.0.5]
[ebuild     U ] sys-boot/grub-0.97-r10 [0.97-r9] USE="static*" 
[ebuild     U ] sys-libs/talloc-2.0.1-r1 [2.0.0-r1] USE="static-libs%* -swig%" 
[ebuild     U ] sys-auth/nss_ldap-264-r1 [258] USE="ssl%*" 
[ebuild     U ] virtual/perl-ExtUtils-ParseXS-2.22.05 [2.22.03]
[ebuild     U ] dev-perl/Digest-SHA1-2.12 [2.11]
[ebuild     U ] perl-core/Module-Build-0.36.07 [0.34.0201]
[ebuild     U ] virtual/perl-Module-Build-0.36.07 [0.34.0201]
[ebuild     U ] dev-perl/DateManip-5.56 [5.44] USE="-test%" 
[ebuild   R   ] x11-libs/qt-core-4.6.2-r1  USE="-debug*" 
[ebuild   R   ] x11-libs/qt-sql-4.6.2  USE="-debug*" 
[ebuild   R   ] x11-libs/qt-script-4.6.2  USE="-debug*" 
[ebuild     U ] dev-perl/libwww-perl-5.836 [5.831]
[ebuild  N    ] virtual/emacs-23 
[ebuild     U ] media-libs/freetype-2.4.2 [2.3.9-r1] USE="-auto-hinter%" 
[ebuild     U ] x11-libs/libXrender-0.9.6 [0.9.5] USE="static-libs%*" 
[ebuild     U ] dev-util/intltool-0.41.1 [0.41.0]
[ebuild     U ] dev-python/pygobject-2.20.0 [2.18.0]
[ebuild     U ] x11-libs/libXfixes-4.0.5 [4.0.4] USE="static-libs%*" 
[ebuild     U ] dev-lang/yasm-1.0.1 [0.8.0]
[ebuild     U ] dev-java/java-config-2.1.11 [2.1.10]
[ebuild     U ] app-text/hunspell-1.2.9 [1.2.8] LINGUAS="en%* -af% -bg% -ca% -cs% -cy% -da% -de% -el% -eo% -es% -et% -fo% -fr% -ga% -gl% -he% -hr% -hu% -id% -it% -ku% -lt% -lv% -mk% -ms% -nb% -nl% -nn% -pl% -pt% -ro% -ru% -sk% -sl% -sv% -sw% -tn% -uk% -zu%" 
[ebuild     U ] net-libs/gnutls-2.10.0 [2.8.5]
[ebuild     U ] media-gfx/exiv2-0.19 [0.18.1] USE="-contrib%" LINGUAS="-de* -es* -fr* -pl* -ru*" 
[ebuild     U ] app-portage/layman-1.3.3 [1.3.1]
[ebuild     U ] x11-libs/libvdpau-0.4 [0.3-r2]
[ebuild  N    ] sys-libs/libcap-ng-0.6.2  USE="python" 
[ebuild     U ] net-dns/libidn-1.19 [1.15] USE="static-libs%*" 
[ebuild     U ] net-libs/neon-0.29.3 [0.29.0] LINGUAS="-de* -fr* -pl* -ru*" 
[ebuild  N    ] dev-libs/libnatspec-0.2.6  USE="python -doc" 
[ebuild     U ] app-text/recode-3.6_p16 [3.6_p15-r1]
[ebuild     U ] dev-python/py-smbpasswd-1.0.1 [1.0]
[ebuild     U ] app-portage/eix-0.20.5 [0.19.2] USE="sqlite*" 
[ebuild     U ] app-portage/gentoolkit-dev-0.2.6.14 [0.2.6.12]
[ebuild  N    ] dev-python/sip-4.10.2  USE="-debug -doc" 
[ebuild     U ] x11-apps/luit-1.0.5 [1.0.4]
[ebuild     U ] x11-apps/xlsatoms-1.1.0 [1.0.2]
[ebuild     U ] sys-devel/gdb-7.0.1 [7.0]
[ebuild     U ] dev-python/pyrex-0.9.9 [0.9.8.5-r1]
[ebuild     U ] app-arch/unzip-6.0-r9 [6.0-r1] USE="natspec%*" 
[ebuild     U ] x11-libs/libXfont-1.4.2 [1.4.1] USE="static-libs%*" 
[ebuild     U ] x11-misc/shared-mime-info-0.71 [0.70]
[ebuild     U ] app-text/enchant-1.6.0 [1.4.2]
[ebuild     U ] x11-libs/libXcomposite-0.4.2 [0.4.1] USE="static-libs%*" 
[ebuild     U ] x11-libs/libXdamage-1.1.3 [1.1.2] USE="static-libs%*" 
[ebuild     U ] media-libs/x264-0.0.20100605 [0.0.20091124]
[ebuild     U ] media-libs/xvid-1.2.2-r2 [1.2.2-r1]
[ebuild     U ] dev-java/javatoolkit-0.3.0-r4 [0.3.0-r3]
[ebuild     U ] dev-python/python-ldap-2.3.11 [2.3.10]
[ebuild     U ] sys-apps/iproute2-2.6.31 [2.6.29.1-r1]
[ebuild     U ] sys-libs/tdb-1.2.1 [1.1.5-r1] USE="static-libs%*" 
[ebuild     U ] dev-python/numpy-1.4.1 [1.3.0-r1] USE="-doc%" 
[ebuild     U ] net-misc/whois-5.0.5 [4.7.36]
[ebuild     U ] app-text/rarian-0.8.1-r1 [0.8.1]
[ebuild     U ] media-gfx/splashutils-1.5.4.3-r3 [1.5.4.3-r2]
[ebuild     U ] x11-apps/xlsclients-1.1.0 [1.0.2]
[ebuild     U ] dev-libs/protobuf-2.3.0-r1 [2.3.0] USE="static-libs%*" 
[ebuild     U ] media-fonts/encodings-1.0.3-r1 [1.0.3]
[ebuild     U ] media-fonts/font-alias-1.0.2 [1.0.1]
[ebuild   R   ] x11-libs/qt-dbus-4.6.2  USE="-debug*" 
[ebuild     U ] x11-misc/xkeyboard-config-1.9 [1.7]
[ebuild     U ] media-plugins/gst-plugins-x-0.10.29 [0.10.25]
[ebuild     U ] media-plugins/gst-plugins-ogg-0.10.29 [0.10.25]
[ebuild     U ] media-plugins/gst-plugins-theora-0.10.29 [0.10.25]
[ebuild     U ] media-plugins/gst-plugins-vorbis-0.10.29 [0.10.25]
[ebuild     U ] net-wireless/ipw2200-firmware-3.1 [3.0]
[ebuild     U ] dev-libs/elfutils-0.146 [0.131-r2] USE="bzip2%* lzma%* nls%* zlib%* -test%" 
[ebuild     U ] x11-apps/xinput-1.5.2 [1.4.2]
[ebuild     U ] media-plugins/gst-plugins-xvideo-0.10.29 [0.10.25]
[ebuild     U ] media-plugins/gst-plugins-flac-0.10.22 [0.10.17]
[ebuild     U ] media-plugins/gst-plugins-gio-0.10.29 [0.10.25]
[ebuild     U ] media-plugins/gst-plugins-taglib-0.10.22 [0.10.17]
[ebuild     U ] media-plugins/gst-plugins-libmms-0.10.18 [0.10.17]
[ebuild     U ] media-plugins/gst-plugins-cdparanoia-0.10.29 [0.10.25]
[ebuild     U ] x11-misc/xdg-utils-1.0.2_p20100618 [1.0.2-r3]
[ebuild     U ] x11-apps/xmessage-1.0.3 [1.0.2-r1]
[ebuild     U ] sys-fs/cryptsetup-1.1.2 [1.0.6-r2]
[ebuild     U ] net-libs/farsight2-0.0.17 [0.0.14] USE="-msn% -upnp%" 
[ebuild     U ] sys-devel/prelink-20100106 [20071009]
[ebuild     U ] media-libs/libao-1.0.0 [0.8.8] USE="static-libs%*" 
[ebuild     U ] sys-apps/dmapi-2.2.10 [2.2.8]
[ebuild  N    ] kde-base/kdebase-pam-7 
[ebuild     U ] sys-auth/thinkfinger-0.3-r2 [0.3-r1]
[ebuild     U ] app-crypt/pinentry-0.8.0 [0.7.5] USE="caps* qt4%* static%*" 
[ebuild     U ] app-admin/syslog-ng-3.1.1 [3.0.4] USE="caps* static*" 
[ebuild     U ] app-crypt/gnupg-2.0.15 [2.0.14] USE="caps* static*" 
[ebuild     U ] app-cdr/cdrdao-1.2.3 [1.2.3_rc2]
[ebuild     U ] app-crypt/gpgme-1.3.0 [1.2.0]
[ebuild     U ] app-admin/sudo-1.7.3 [1.7.2_p4]
[ebuild     U ] media-fonts/dejavu-2.30 [2.29]
[ebuild  N    ] media-libs/libass-0.9.8  USE="fontconfig png -enca" 
[ebuild     U ] media-fonts/terminus-font-4.30 [4.28] USE="X*" 
[ebuild     U ] media-fonts/font-xfree86-type1-1.0.2 [1.0.1]
[ebuild     U ] media-fonts/font-adobe-utopia-100dpi-1.0.2 [1.0.1]
[ebuild     U ] media-fonts/font-ibm-type1-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-adobe-75dpi-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bh-type1-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-micro-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bh-ttf-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-adobe-utopia-75dpi-1.0.2 [1.0.1]
[ebuild     U ] media-fonts/font-misc-ethiopic-1.0.1-r1 [1.0.0-r1]
[ebuild     U ] media-fonts/font-sony-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-screen-cyrillic-1.0.2 [1.0.1]
[ebuild     U ] media-fonts/font-jis-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bh-100dpi-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-misc-misc-1.1.0 [1.0.0]
[ebuild     U ] media-fonts/font-cursor-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-misc-cyrillic-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-arabic-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bitstream-100dpi-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-misc-meltho-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-adobe-100dpi-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bh-75dpi-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-cronyx-cyrillic-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-daewoo-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-mutt-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bitstream-speedo-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-sun-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bitstream-75dpi-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-adobe-utopia-type1-1.0.2 [1.0.1]
[ebuild     U ] media-fonts/font-bh-lucidatypewriter-100dpi-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-winitzki-cyrillic-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-dec-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-schumacher-misc-1.1.0 [1.0.0]
[ebuild     U ] media-fonts/font-isas-misc-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bitstream-type1-1.0.1 [1.0.0]
[ebuild     U ] media-fonts/font-bh-lucidatypewriter-75dpi-1.0.1 [1.0.0]
[ebuild     U ] x11-terms/rxvt-unicode-9.07-r1 [9.07]
[ebuild     U ] sys-apps/calculate-1.3.12 [1.3.11]
[ebuild     U ] sys-fs/ntfs3g-2010.3.6 [2010.1.16] USE="-udev%" 
[ebuild  NS   ] sys-kernel/calculate-sources-2.6.34.1 [2.6.32.11] USE="symlink vmlinuz -build -deblob" 
[ebuild     U ] net-wireless/madwifi-ng-0.9.4.4119.20100201 [0.9.4.4100.20090929]
[ebuild     U ] dev-python/reportlab-2.4 [2.3-r1]
[ebuild     U ] net-wireless/bluez-4.66-r1 [4.39-r2] USE="caps%* consolekit* gstreamer* -pcmcia%" 
[ebuild     U ] net-fs/samba-3.4.8 [3.4.6] USE="caps*" 
[ebuild     U ] net-libs/libpcap-1.1.1 [1.0.0-r2] USE="-libnl%" 
[ebuild     U ] app-mobilephone/obexd-0.28 [0.21-r2] USE="usb%* -nokia%" 
[ebuild     U ] media-plugins/gst-plugins-soup-0.10.22 [0.10.17]
[ebuild     U ] app-editors/vim-core-7.2.442 [7.2.303]
[ebuild     U ] app-editors/vim-7.2.442 [7.2.303] USE="X%*" 
[ebuild     U ] app-vim/colorschemes-20100218 [20090118]
[ebuild     U ] app-vim/gentoo-syntax-20100215 [20090720]
[ebuild     U ] x11-proto/xf86dgaproto-2.1 [2.0.3]
[ebuild     U ] x11-libs/libXxf86dga-1.1.1 [1.0.2]
[blocks b     ] <x11-libs/libXxf86dga-1.0.99.1 ("<x11-libs/libXxf86dga-1.0.99.1" is blocking x11-proto/xf86dgaproto-2.1)
[ebuild     U ] x11-proto/xf86vidmodeproto-2.3 [2.2.2]
[ebuild     U ] x11-libs/libXxf86vm-1.1.0 [1.0.2]
[blocks b     ] <x11-libs/libXxf86vm-1.0.99.1 ("<x11-libs/libXxf86vm-1.0.99.1" is blocking x11-proto/xf86vidmodeproto-2.3)
[ebuild     U ] x11-proto/xineramaproto-1.2 [1.1.2]
[ebuild     U ] x11-libs/libXinerama-1.1 [1.0.3]
[blocks b     ] <x11-libs/libXinerama-1.0.99.1 ("<x11-libs/libXinerama-1.0.99.1" is blocking x11-proto/xineramaproto-1.2)
[ebuild     U ] media-libs/mesa-7.8.2 [7.5.2] USE="xcb* (-gallium) (-selinux)" VIDEO_CARDS="-nouveau% -svga%" 
[ebuild     U ] dev-cpp/cairomm-1.8.2 [1.6.0] USE="svg%*" 
[ebuild     U ] x11-apps/mesa-progs-7.7 [7.5.1]
[ebuild     U ] dev-cpp/pangomm-2.26.2 [2.26.0]
[ebuild     U ] x11-wm/openbox-3.4.11.2 [3.4.10] USE="startup-notification*" 
[ebuild     U ] media-plugins/gst-plugins-pango-0.10.29 [0.10.25]
[ebuild     U ] app-text/ghostscript-gpl-8.71-r1 [8.64-r3] LINGUAS="-ja% -ko% -zh_CN% -zh_TW%" 
[ebuild     U ] net-dialup/ppp-2.4.4-r25 [2.4.4-r24]
[ebuild     U ] dev-libs/libunique-1.1.6 [1.0.8] USE="(-introspection)" 
[ebuild     U ] app-text/gtkspell-2.0.16 [2.0.15]
[ebuild     U ] x11-libs/libsexy-0.1.11-r1 [0.1.11]
[ebuild     U ] dev-java/icedtea6-bin-1.8.1 [1.6.2-r2]
[ebuild     U ] dev-cpp/gtkmm-2.20.3 [2.18.2]
[ebuild     U ] net-print/foomatic-filters-4.0.4 [4.0.3]
[ebuild     U ] media-plugins/gst-plugins-gconf-0.10.22 [0.10.17]
[ebuild     U ] app-text/libspectre-0.2.5 [0.2.2]
[ebuild     U ] net-irc/xchat-2.8.8 [2.8.6-r2] USE="-ntlm%" 
[ebuild     U ] dev-python/gnome-python-base-2.28.1 [2.26.1]
[ebuild     U ] dev-python/gnome-python-desktop-base-2.30.2 [2.26.0]
[ebuild     U ] dev-java/ant-core-1.8.1 [1.7.1-r4]
[ebuild     U ] net-analyzer/nmap-5.21-r1 [5.00-r2] USE="gtk*" 
[ebuild     U ] dev-python/libgnomecanvas-python-2.28.1 [2.26.1]
[ebuild     U ] dev-vcs/git-1.7.1-r1 [1.6.4.4] USE="blksha1%* curl* gtk* threads* tk* webdav*" 
[ebuild     U ] dev-python/gconf-python-2.28.1 [2.26.1]
[ebuild     U ] dev-python/libwnck-python-2.30.2-r1 [2.26.0]
[ebuild     U ] dev-db/hsqldb-1.8.1.2-r1 [1.8.0.10]
[ebuild     U ] dev-util/cmake-2.8.1-r2 [2.6.4-r3] USE="ncurses%* qt4*" 
[ebuild     U ] app-text/fbreader-0.12.10 [0.12.7] USE="qt4*" 
[ebuild     U ] net-p2p/transmission-1.92 [1.83] USE="qt4*" 
[ebuild     U ] app-text/poppler-0.14.1 [0.12.3-r3] USE="cxx%* exceptions* qt4* -curl%" 
[ebuild     U ] gnome-base/gnome-vfs-2.24.3-r1 [2.24.2]
[ebuild     U ] dev-python/gnome-vfs-python-2.28.1 [2.26.1]
[ebuild     U ] dev-python/gnome-desktop-python-2.30.2 [2.26.0]
[ebuild     U ] dev-python/libbonobo-python-2.28.1 [2.26.1]
[ebuild     U ] dev-python/gnome-keyring-python-2.30.2 [2.26.0]
[ebuild     U ] net-libs/xulrunner-1.9.2.8 [1.9.2-r5] USE="ipc%* -java*" 
[ebuild     U ] dev-python/libgnome-python-2.28.1 [2.26.1]
[ebuild     U ] www-client/firefox-3.6.8 [3.6-r5] USE="ipc%* -java*" LINGUAS="en_US* -de* -es* -fr* -it* -pl* -pt_BR* -ru* -uk*" 
[ebuild     U ] net-wireless/gnome-bluetooth-2.30.0 [2.28.6] USE="-nautilus%" 
[ebuild   R   ] x11-libs/qt-gui-4.6.2  USE="-debug*" 
[ebuild   R   ] x11-libs/qt-qt3support-4.6.2  USE="-debug*" 
[ebuild     U ] net-wireless/wpa_supplicant-0.6.10 [0.6.9] USE="qt4*" 
[ebuild  N    ] dev-python/PyQt4-4.7.3  USE="X dbus kde opengl svg -assistant -debug -doc -examples -multimedia -phonon -sql -webkit -xmlpatterns" 
[ebuild     U ] net-print/hplip-3.9.12-r2 [3.9.12-r1] USE="hpijs* new-hpcups* qt4* static-ppds*" 
[ebuild     U ] net-libs/libproxy-0.2.3-r3 [0.2.3-r2] USE="kde*" 
[ebuild     U ] net-news/liferea-1.7.4 [1.7.3]
[ebuild     U ] net-print/foomatic-db-engine-4.0.4 [4.0.3]
[ebuild     U ] net-print/foomatic-db-4.0.20100218 [4.0.20100205]
[ebuild     U ] gnome-extra/libgsf-1.14.18 [1.14.15] USE="gtk%* -thumbnail%" 
[ebuild     U ] media-gfx/imagemagick-6.6.2.5 [6.5.8.8] USE="cxx%* fontconfig* static-libs%* xml*" VIDEO_CARDS="-nvidia%" 
[ebuild     U ] dev-python/gnome-applets-python-2.30.2 [2.26.0]
[ebuild     U ] app-emulation/emul-linux-x86-gtklibs-20100611 [20100220-r2]
[ebuild     U ] www-plugins/adobe-flash-10.1.82.76 [10.0.45.2]
[ebuild     U ] sys-libs/libraw1394-2.0.4 [1.2.1]
[ebuild     U ] media-libs/libdc1394-1.2.2 [1.2.1]
[blocks b     ] <media-libs/libdc1394-1.2.2 ("<media-libs/libdc1394-1.2.2" is blocking sys-libs/libraw1394-2.0.4)
[ebuild     U ] media-video/ffmpeg-0.5_p22846 [0.5_p20373] USE="threads* -amr%" 
[ebuild     U ] net-print/gutenprint-5.2.5-r1 [5.1.4]
[ebuild     U ] sys-apps/keyexec-0.1.2-r4 [0.1.2-r3] USE="kde*" 
[ebuild  N    ] kde-base/kcheckpass-4.4.5  USE="pam (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 
[ebuild  N    ] kde-base/libkonq-4.4.5  USE="(-aqua) -debug (-kdeenablefinal) (-kdeprefix) -test" 
[ebuild  N    ] kde-base/kdepasswd-4.4.5  USE="handbook (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 
[ebuild  N    ] kde-base/kdm-4.4.5  USE="consolekit handbook pam (-aqua) -debug (-kdeenablefinal) (-kdeprefix) -kerberos" 
[ebuild     U ] x11-proto/scrnsaverproto-1.2.0 [1.1.0]
[ebuild     U ] x11-libs/libXScrnSaver-1.2.0 [1.1.3] USE="static-libs%*" 
[blocks b     ] <x11-libs/libXScrnSaver-1.2 ("<x11-libs/libXScrnSaver-1.2" is blocking x11-proto/scrnsaverproto-1.2.0)
[ebuild     U ] net-im/pidgin-2.7.2 [2.6.6] USE="python%*" 
[ebuild     U ] media-video/mplayer-1.0_rc4_p20100506 [1.0_rc4_p20091026-r1] USE="jpeg2k%* -amr%" VIDEO_CARDS="vesa%*" 
[ebuild     U ] x11-plugins/pidgin-facebookchat-1.67 [1.65]
[ebuild     U ] x11-plugins/pidgin-hotkeys-0.2.4 [0.2.3]
[ebuild     U ] x11-base/xorg-server-1.7.7-r1 [1.6.5-r1]
[blocks b     ] <x11-base/xorg-server-1.7 ("<x11-base/xorg-server-1.7" is blocking media-libs/mesa-7.8.2)
[ebuild     U ] x11-drivers/xf86-video-vmware-11.0.1 [10.16.9]
[ebuild     U ] x11-drivers/xf86-video-trident-1.3.4 [1.3.3]
[ebuild     U ] x11-drivers/xf86-video-neomagic-1.2.5 [1.2.4]
[ebuild     U ] x11-drivers/xf86-input-evdev-2.4.0 [2.3.2]
[ebuild     U ] x11-drivers/xf86-input-virtualbox-3.1.8-r1 [3.0.12]
[ebuild     U ] x11-drivers/xf86-video-fbdev-0.4.2 [0.4.1]
[ebuild     U ] x11-drivers/xf86-video-ati-6.13.0 [6.12.5]
[ebuild     U ] x11-drivers/xf86-video-mga-1.4.12 [1.4.11]
[ebuild     U ] x11-drivers/xf86-video-sis-0.10.3 [0.10.2]
[ebuild     U ] x11-drivers/xf86-input-vmmouse-12.6.9 [12.6.5]
[ebuild     U ] x11-drivers/xf86-video-nv-2.1.17 [2.1.16]
[ebuild     U ] app-misc/cls-meta-10.4-r1 [10.4]
[ebuild     U ] x11-drivers/nvidia-drivers-195.36.31 [195.36.15] USE="gtk*" 
[ebuild     U ] sys-apps/calculate-lib-2.1.10-r1 [2.1.8]
[ebuild     U ] sys-apps/calculate-client-2.1.18-r3 [2.1.14] USE="kde*" 
[blocks b     ] <sys-apps/calculate-client-2.1.16 ("<sys-apps/calculate-client-2.1.16" is blocking sys-apps/calculate-lib-2.1.10-r1)
[ebuild     U ] x11-base/xorg-drivers-1.7 [1.6] VIDEO_CARDS="-nouveau%" 
[uninstall    ] x11-drivers/xf86-input-mutouch-1.2.1 
[blocks b     ] x11-drivers/xf86-input-mutouch ("x11-drivers/xf86-input-mutouch" is blocking x11-base/xorg-drivers-1.7)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/qt-script:4

  ('ebuild', '/', 'x11-libs/qt-script-4.6.2', 'merge') pulled in by
    ~x11-libs/qt-script-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')
    (and 14 more)

  ('installed', '/', 'x11-libs/qt-script-4.6.2', 'nomerge') pulled in by
    ~x11-libs/qt-script-4.6.2[debug,-aqua] required by ('installed', '/', 'x11-libs/qt-gui-4.6.2', 'nomerge')
    (and 14 more)

x11-libs/qt-core:4

  ('installed', '/', 'x11-libs/qt-core-4.6.2-r1', 'nomerge') pulled in by
    ~x11-libs/qt-core-4.6.2[debug,-aqua] required by ('installed', '/', 'x11-libs/qt-dbus-4.6.2', 'nomerge')
    ~x11-libs/qt-core-4.6.2[ssl,debug,-aqua] required by ('installed', '/', 'x11-libs/qt-webkit-4.6.2-r1', 'nomerge')
    ~x11-libs/qt-core-4.6.2[debug,qt3support,-aqua] required by ('installed', '/', 'x11-libs/qt-sql-4.6.2', 'nomerge')
    (and 25 more)

  ('ebuild', '/', 'x11-libs/qt-core-4.6.2-r1', 'merge') pulled in by
    ~x11-libs/qt-core-4.6.2[qt3support,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge')
    ~x11-libs/qt-core-4.6.2[-debug,-aqua] required by ('installed', '/', 'x11-libs/qt-test-4.6.2', 'nomerge')
    ~x11-libs/qt-core-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-script-4.6.2', 'merge')
    (and 23 more)

x11-libs/qt-sql:4

  ('ebuild', '/', 'x11-libs/qt-sql-4.6.2', 'merge') pulled in by
    ~x11-libs/qt-sql-4.6.2[qt3support,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge')
    (and 12 more)

  ('installed', '/', 'x11-libs/qt-sql-4.6.2', 'nomerge') pulled in by
    ~x11-libs/qt-sql-4.6.2[qt3support,debug,-aqua] required by ('installed', '/', 'x11-libs/qt-qt3support-4.6.2', 'nomerge')
    (and 12 more)

x11-libs/qt-dbus:4

  ('installed', '/', 'x11-libs/qt-dbus-4.6.2', 'nomerge') pulled in by
    ~x11-libs/qt-dbus-4.6.2[debug,-aqua] required by ('installed', '/', 'x11-libs/qt-webkit-4.6.2-r1', 'nomerge')
    ~x11-libs/qt-dbus-4.6.2[debug,-aqua] required by ('installed', '/', 'x11-libs/qt-gui-4.6.2', 'nomerge')
    (and 3 more)

  ('ebuild', '/', 'x11-libs/qt-dbus-4.6.2', 'merge') pulled in by
    ~x11-libs/qt-dbus-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')
    (and 3 more)

x11-libs/qt-gui:4

  ('installed', '/', 'x11-libs/qt-gui-4.6.2', 'nomerge') pulled in by
    ~x11-libs/qt-gui-4.6.2[qt3support,debug,accessibility,-aqua] required by ('installed', '/', 'x11-libs/qt-qt3support-4.6.2', 'nomerge')
    ~x11-libs/qt-gui-4.6.2[dbus,debug,-aqua] required by ('installed', '/', 'x11-libs/qt-webkit-4.6.2-r1', 'nomerge')
    ~x11-libs/qt-gui-4.6.2[debug,qt3support,-aqua] required by ('installed', '/', 'x11-libs/qt-opengl-4.6.2', 'nomerge')
    (and 28 more)

  ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge') pulled in by
    ~x11-libs/qt-gui-4.6.2[qt3support,accessibility,-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge')
    ~x11-libs/qt-gui-4.6.2[-debug,-aqua] required by ('installed', '/', 'x11-libs/qt-svg-4.6.2', 'nomerge')
    (and 28 more)

x11-libs/qt-qt3support:4

  ('ebuild', '/', 'x11-libs/qt-qt3support-4.6.2', 'merge') pulled in by
    ~x11-libs/qt-qt3support-4.6.2[-debug,-aqua] required by ('ebuild', '/', 'x11-libs/qt-gui-4.6.2', 'merge')
    (and 12 more)

  ('installed', '/', 'x11-libs/qt-qt3support-4.6.2', 'nomerge') pulled in by
    ~x11-libs/qt-qt3support-4.6.2[debug,-aqua] required by ('installed', '/', 'x11-libs/qt-gui-4.6.2', 'nomerge')
    (and 12 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously. You may want to try a larger value of the
--backtrack option, such as --backtrack=30, in order to see if that will
solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.
I've tried replacing the USE flags and using emerge --newuse several times to no avail . Any idea what could be causing this? Thanks
 
Old 08-16-2010, 07:52 AM   #2
monsm
Member
 
Registered: Feb 2005
Location: London, UK
Distribution: Gentoo
Posts: 568

Rep: Reputation: 37
Hi,
In general I think you should use "emerge --deep --newuse --update world" or "emerge -DNu world" for short.

Did you try either of those above?

It seems most of your prolem here is caused by use flags. Do you set them in the make.conf file or for individual packages in packages.use?
To help with use flags you could emerge a little tool called ufed. It helps edit the global use flags that end up in make.conf. I would e.g. think you would want -debug globally. If you want to debug a particular package, enable the debug useflag just for that package in package.use (/etc/portage/package.use).

Good luck

Mons
 
Old 08-16-2010, 10:27 PM   #3
fedoralinuxjunkie
Member
 
Registered: Jun 2008
Location: North Carolina
Distribution: Gentoo, Debian 7 RC 1, Mageia 3 RC 1, Kubuntu 13.04, Arch Linux
Posts: 138

Original Poster
Rep: Reputation: 16
Ok mons, I did as you said, and some packages installed, but when I hit the grub package, here's what I get:

Code:
# emerge -DNu world
Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 385) sys-boot/grub-0.97-r10
 * grub-0.97.tar.gz RMD160 SHA1 SHA256 size ;-) ...                      [ ok ]
 * splash.xpm.gz RMD160 SHA1 SHA256 size ;-) ...                         [ ok ]
 * grub-0.97-patches-1.10.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...        [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
 * CPV:  sys-boot/grub-0.97-r10
 * REPO: gentoo
 * USE:  amd64 elibc_glibc kernel_linux multilib ncurses static userland_GNU
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/2.6.32.11-calculate/build
 * Found sources for kernel version:
 *     2.6.32.11-calculate
 * Checking for suitable kernel configuration options...                  [ ok ]
>>> Unpacking source...
>>> Unpacking grub-0.97.tar.gz to /var/calculate/tmp/portage/sys-boot/grub-0.97-r10/work
>>> Unpacking splash.xpm.gz to /var/calculate/tmp/portage/sys-boot/grub-0.97-r10/work
>>> Unpacking grub-0.97-patches-1.10.tar.bz2 to /var/calculate/tmp/portage/sys-boot/grub-0.97-r10/work
 * Grub will support the default maximum kernel size of 9 Mb (GRUB_MAX_KERNEL_SIZE)
 * Applying various patches (bugfixes/updates) ...
 *   001_all_grub-0.95.20040823-splash.patch ...                          [ ok ]
 *   002_all_grub-0.97-splashimage-safety.patch ...                       [ ok ]
 *   003_all_grub-0.97-example-rescue-shell.patch ...                     [ ok ]
 *   005_all_grub-0.96-PIC.patch ...                                      [ ok ]
 *   008_all_grub-0.97-AM_PROG_AS.patch ...                               [ ok ]
 *   010_all_grub-0.96-bounced-checks.patch ...                           [ ok ]
 *   011_all_grub-0.97-varargs.patch ...                                  [ ok ]
 *   015_all_grub-0.96-unsigned-addresses.patch ...                       [ ok ]
 *   016_all_grub-0.97-multiboot-memory-amount.patch ...                  [ ok ]
 *   040_all_grub-0.96-nxstack.patch ...                                  [ ok ]
 *   060_all_grub-0.96-netboot-pic.patch ...                              [ ok ]
 *   070_all_grub-0.97-initrd_max_address.patch ...                       [ ok ]
 *   090_all_grub-0.97-intelmac.patch ...                                 [ ok ]
 *   100_all_grub-0.97-splashimage-example.patch ...                      [ ok ]
 *   110_all_grub-0.97-ptable-fix.patch ...                               [ ok ]
 *   300_all_grub-0.97-pie-safety.patch ...                               [ ok ]
 *   410_all_grub-0.97-dhcp-vendorclass.patch ...                         [ ok ]
 *   420_all_grub-0.97-chainload-logical.patch ...                        [ ok ]
 *   550_all_grub-0.97-long-commandline.patch ...                         [ ok ]
 *   600_all_grub-0.97-gpt-partition-table.patch ...                      [ ok ]
 *   700_all_grub-0.97-grub-install_addsyncs.patch ...                    [ ok ]
 *   710_all_grub-0.97-grub-install_regexp.patch ...                      [ ok ]
 *   720_all_grub-0.97-grub-install_aoe_support.patch ...                 [ ok ]
 *   800_all_grub-0.97-crossreference_manpages.patch ...                  [ ok ]
 *   810_all_grub-0.97-ext3_256byte_inode.patch ...                       [ ok ]
 *   820_all_grub-0.97-cvs-sync.patch ...                                 [ ok ]
 *   821_all_grub-0.97-grub-special_device_names.patch ...                [ ok ]
 *   822_all_grub-0.97-geometry-26kernel.patch ...                        [ ok ]
 *   830_all_grub-0.97-raid_cciss.patch ...                               [ ok ]
 *   840_all_grub-0.97_kvm_vda.patch ...                                  [ ok ]
 *   850_all_grub-0.97_ext4.patch ...                                     [ ok ]
 *   860_all_grub-0.97-pie.patch ...                                      [ ok ]
 * Done with patching
 * Running eautoreconf in '/var/calculate/tmp/portage/sys-boot/grub-0.97-r10/work/grub-0.97' ...
 * Running aclocal ...                                                    [ ok ]
 * Running autoconf ...                                                   [ ok ]
 * Running autoheader ...                                                 [ ok ]
 * Running automake --add-missing --copy ...                              [ ok ]
>>> Source unpacked in /var/calculate/tmp/portage/sys-boot/grub-0.97-r10/work
>>> Compiling source in /var/calculate/tmp/portage/sys-boot/grub-0.97-r10/work/grub-0.97 ...
 * ERROR: sys-boot/grub-0.97-r10 failed:
 *   You must use the grub-static package if you want a static Grub on amd64!
 * 
 * Call stack:
 *     ebuild.sh, line  54:  Called src_compile
 *   environment, line 4399:  Called die
 * The specific snippet of code:
 *               die "You must use the grub-static package if you want a static Grub on amd64!";
 * 
 * If you need support, post the output of 'emerge --info =sys-boot/grub-0.97-r10',
 * the complete build log and the output of 'emerge -pqv =sys-boot/grub-0.97-r10'.
 * The complete build log is located at '/var/calculate/tmp/portage/sys-boot/grub-0.97-r10/temp/build.log'.
 * The ebuild environment file is located at '/var/calculate/tmp/portage/sys-boot/grub-0.97-r10/temp/environment'.
 * S: '/var/calculate/tmp/portage/sys-boot/grub-0.97-r10/work/grub-0.97'

>>> Failed to emerge sys-boot/grub-0.97-r10, Log file:

>>>  '/var/calculate/tmp/portage/sys-boot/grub-0.97-r10/temp/build.log'

 * Messages for package sys-boot/grub-0.97-r10:

 * ERROR: sys-boot/grub-0.97-r10 failed:
 *   You must use the grub-static package if you want a static Grub on amd64!
 * 
 * Call stack:
 *     ebuild.sh, line  54:  Called src_compile
 *   environment, line 4399:  Called die
 * The specific snippet of code:
 *               die "You must use the grub-static package if you want a static Grub on amd64!";
 * 
 * If you need support, post the output of 'emerge --info =sys-boot/grub-0.97-r10',
 * the complete build log and the output of 'emerge -pqv =sys-boot/grub-0.97-r10'.
 * The complete build log is located at '/var/calculate/tmp/portage/sys-boot/grub-0.97-r10/temp/build.log'.
 * The ebuild environment file is located at '/var/calculate/tmp/portage/sys-boot/grub-0.97-r10/temp/environment'.
 * S: '/var/calculate/tmp/portage/sys-boot/grub-0.97-r10/work/grub-0.97'
I've tried installing grub-static and running emerge -DNu world again, but then it says that grub-static is blocking grub from installing...

Last edited by fedoralinuxjunkie; 08-16-2010 at 10:32 PM.
 
Old 08-17-2010, 02:07 AM   #4
i92guboj
Gentoo support team
 
Registered: May 2008
Location: Lucena, Córdoba (Spain)
Distribution: Gentoo
Posts: 4,040

Rep: Reputation: 373Reputation: 373Reputation: 373Reputation: 373
Uninstall grub, then install grub-static.
 
Old 08-17-2010, 03:18 AM   #5
comprookie2000
Gentoo Developer
 
Registered: Feb 2004
Location: Fort Lauderdale FL.
Distribution: Gentoo
Posts: 3,291
Blog Entries: 5

Rep: Reputation: 54
Looks like you are using Calculate. Calculate Linux is based on Gentoo and has its own forum.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
System update issue in Ubuntu 6.06 hallows1 Linux - Server 3 09-17-2007 02:19 AM
using emerge --update --ask world correctly? gentoo 2006.0 anti.corp Linux - Newbie 4 04-16-2006 03:03 AM
gentoo + emerge --update world kurrupt Linux - General 8 06-05-2005 01:18 AM
emerge -u --deep world - blockers patientzero Linux - Distributions 2 02-21-2004 08:39 PM
after emerge -u --deep world what's next? patientzero Linux - General 0 02-20-2004 04:35 PM


All times are GMT -5. The time now is 11:14 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration